[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [StatePersistenceCallback](./index.md)

# StatePersistenceCallback

`interface StatePersistenceCallback` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L56)

Describes a delegate object that is used by [OAuthAccount](../-o-auth-account/index.md) to persist its internal state as it changes.

### Functions

| Name | Summary |
|---|---|
| [persist](persist.md) | `abstract fun persist(data: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
